Summary: One-click Windows package manager / wine frontend
Name: wine-doors
Version: 0.1.4
Release: 1
Vendor: Wine-Doors
License: GPL
Packager: Wine-Doors
Group: Applications/Emulators
URL: http://www.wine-doors.org
Source: wine-doors-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
Requires: libxml2-python, python >= 2.4, pygtk2, pygtk2-libglade, glade2, libglade2, wine, unzip
Requires: gnome-python2-desktop, gnome-python2-rsvg, cabextract, tar, pycairo, orange, setxkbmap
BuildRequires: python >= 2.4

%description
Wine-doors is an application designed to make installing windows 
software on Linux, Solaris or other Unix systems easier. Wine-doors 
is essentially a package management tool for windows software on 
Linux systems. Most Linux desktop users are familiar with package 
management style application delivery, so it made sense to apply 
this model to windows software.

Wine-doors works by leveraging the exquisite software, libraries 
and tools created over at WineHQ, there are also plans to support 
Cedega, cvscedega and Crossover Office.

Updating to 0.1.4 is highly recommended.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT
python setup.py install -S --nodeps --temp=$RPM_BUILD_ROOT --prefix=/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%{_bindir}/wine-doors
%{_datadir}/wine-doors/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
/etc/wine-doors/preferences.xml

%changelog
* Sat Sep 2 2010 E Jonsen <info@ejsolutions.co.uk>  New Release 0.1.4
- Following the collapse of wine-doors.org, established a near mirror at winedoors.sourceforge.net

* Sun Mar 16 2009 Andrew Stormont <andyjstormont@googlemail.com>
- Several bug fixes over 0.1.3rc1
- Several new packages including PhotoshopCS2 and Spotify
- IE works again!

* Sun Jan 18 2009 Andrew Stormont <andyjstormont@googlemail.com>
- Updated for 0.1.3rc1

* Sun Jan 20 2008 Karl Lattimer <karl@wine-doors.org>
- Initial RPM build
- 0.1.2-1
