#!/usr/bin/python

# Totally bollocks hacked up installer for Mohaa on Linux

import gtk
import sys
import os
import commands

# Add wine-doors src path to PATH, so we can find our modules
sys.path.append( os.path.expanduser( "~/.local/wine-doors/src" ) )
sys.path.append( "/usr/share/wine-doors/src" )

from utils import GetCD

# Function to request CDROM
def requestcd(No=None):
    if No == None:
        message = "Please insert Disc"
        print "Requesting CD"
    else:
        message = "Please insert Disc " + No
        print "Requesting CD " + No
    dialog = gtk.Dialog( message, None, 0, ( "Cancel",1, "OK",0 ) )
    if dialog.run() == 0:
        if GetCD():
            dialog.destroy()
            return True
        else:
            # User clicked OK without inserting disc (Dumb)
            # Doesn't actually work:
            requestcd(No)
    else:
        # User Clicked cancel (also Dumb)
        sys.exit(1)

# Look for an old install dir (possibly uncomplete) and delete it
if os.path.isdir( os.path.expanduser( "~/mohaa" ) ):
    os.popen( "rm -rf " + os.path.expanduser( "~/mohaa/" ) )

# Extract files from loki installer
print "Extracting loki installer contents"

os.popen("sh resources/mohaa_1.11beta3-english.uk.run --target $HOME/mohaa --noexec")

# Extract binaries in mohaa folder
print "Extracting mohaa binaries"

os.popen("tar -xf $HOME/mohaa/mohaa_beta3.tar.gz --directory=$HOME/mohaa/")

# Create folder for CD files
print "Creating directory for CD files"

try:
    os.mkdir( os.path.expanduser( "~/mohaa/main/" ) )
except OSError:
    pass

# Move launcher script to place
print "Installing launcher script"

os.popen("cp $PWD/resources/mohaa $HOME/mohaa/")
os.popen("chmod +x $HOME/mohaa/mohaa")

# Create link to launcher script
print "Creating link to launcher script"

try:
    os.symlink( os.path.expanduser( "~/mohaa/mohaa" ), os.path.expanduser( "~/bin/mohaa" ) )
except OSError:
    os.unlink( os.path.expanduser( "~/bin/mohaa" ) )
    os.symlink( os.path.expanduser( "~/mohaa/mohaa" ), os.path.expanduser( "~/bin/mohaa" ) )

# Request first cd
if requestcd("1"):

    # Locate files on CD to extract
    print "Locating files on disc to extract"
    groups = commands.getoutput("unshield g '/media/cdrom0/data1.hdr' | grep \"Data Files\"").split("\n")

    for group in groups:

        # Extract files from CD to packfolder
        os.popen("unshield -d ./resources -g \"" + group +"\"  x '" + GetCD() + "/data1.hdr'")

        # Move files to new location
        try:
            for file in os.listdir( os.getcwd() + "/resources/" + group.replace(" ", "_") ):
                if file.endswith(".pk3"):
                    os.popen("mv ./resources/" + group.replace(" ", "_") + "/" + file + " $HOME/mohaa/main/")
        except OSError:
            # We sometimes get here is a group is empty, no probs
            pass

    # Eject Disc
    print "Ejecting disc"
    os.popen("eject")

# Request second cd
if requestcd("2"):

    # Copy teh files
    os.popen("cp " + GetCD() + "/main/* $HOME/mohaa/main/")

    # Eject Disc
    print "Ejecting disc"
    os.popen("eject")

# Exit
sys.exit(0)
